package net.israfil.foundation.lifecycle;

import net.israfil.foundation.core.Copyright;

/**
 * An object that is a source (producer) of objects
 * 
 * @author <a href="mailto:cgruber@israfil.net">Christian Edward Gruber </a>
 */
@Copyright(years={"2007"},owner="Israfil Consulting Services Corporation",license="BSD")
public interface Producer<T> {
	
	/**
	 *  Produces an item of type T upon request.  
	 */
	public T produce();

}
